%def_disable debug
%def_disable profile
%def_enable final
%def_disable rpath
%def_with pic
%def_disable embedded
%def_enable mt
%def_enable threading

%define bname kdcraw
%define lver 3
%define lname lib%bname
Name: %{lname}_%lver
Version: 0.1.4
Release: alt1
Group: System/Libraries
Summary: C++ interface around dcraw binary program
License: %gpl2plus
URL: http://www.kipi-plugins.org/
Source: %lname-%version.tar
Patch: %lname-0.1.0-makefile.patch
Conflicts: %lname < 0.1.4

# Automatically added by buildreq on Sat Mar 15 2008
#BuildRequires: doxygen gcc-c++ graphviz imake kdepim-devel libXt-devel libdnet-devel libjpeg-devel liblcms-devel qt3-designer qt3-doc-html xml-utils xorg-cf-files

BuildRequires: doxygen gcc-c++ imake libdnet-devel xml-utils
BuildRequires: libXt-devel xorg-cf-files rpm-build-licenses
BuildRequires: autoconf >= 2.5
BuildRequires: automake >= 1.7
BuildRequires: libqt3-devel >= 3.3
BuildRequires: kdelibs-devel >= 3.4
BuildRequires: libjpeg-devel >= 6b
BuildRequires: liblcms-devel >= 1.14

%description
%lname is a C++ interface around dcraw binary program used to decode
RAW picture files.
This library is used by kipi-plugins, digiKam and others kipi host
programs.


%prep
%setup -n %lname-%version


%build
%add_optflags %optflags_shared
#for // comments in lcms.h:
%add_optflags -std=c99
%configure \
    %{subst_enable debug} \
    %{subst_enable profile} \
    %{subst_enable final} \
    %{subst_enable rpath} \
    %{subst_with pic} \
    --enable-shared \
    --disable-static \
    %{subst_enable embedded} \
    %{subst_enable mt} \
    %{subst_enable threading} \
    --enable-new-ldflags \
    --enable-gcc-hidden-visibility

%make_build -C %lname


%install
%make_install -C %lname \
    SUBDIRS="%lname dcraw" \
    DESTDIR=%buildroot \
    libkdcrawinclude_HEADERS="" \
    libkdcrawpkgconfig_DATA="" \
    install


%post -p %post_ldconfig
%postun -p %postun_ldconfig


%files
%doc AUTHORS
%_libdir/*.so.*
%_libdir/%lname%lver


%changelog
* Sun Sep 14 2008 Led <led@altlinux.ru> 0.1.4-alt1
- %lname.so.3 compat build

* Sat Mar 15 2008 Led <led@altlinux.ru> 0.1.3-alt1
- initial compat build
